cURL
curl --request GET \
--url https://api.feedspace.io/v3/feeds/social/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.feedspace.io/v3/feeds/social/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.feedspace.io/v3/feeds/social/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 1201,
"unique_feedback_id": "aB3xYz",
"language_id": null,
"comment": "Feedspace made collecting testimonials effortless.",
"favourite": false,
"sentiment_id": 1,
"created_at": "2025-06-10T09:15:00.000000Z",
"feed_fields": {
"name": "Jordan Lee",
"profile_pic_url": null,
"position": "Founder",
"organization_name": "Acme"
},
"rating_type": "star",
"rating": "5",
"review_at": "2025-06-10T09:15:00.000000Z",
"review_title": null,
"public_url": "https://www.feedspace.io/sf/aB3xYz",
"public_display_url": "https://www.feedspace.io/sf/aB3xYz",
"social_platform": {
"icon_full_url": "https://static.feedspace.io/assets/img/social-icons/v2/g2.png",
"review_url": "https://www.g2.com/products/example/reviews",
"review_type": "social",
"name": "G2",
"slug": "g2"
},
"social_feed_source": {
"source_url": "https://www.g2.com/products/example/reviews"
},
"meta_properties": null,
"meta_attributes": [],
"allow_video_audio_transcript": false,
"question_answers": [],
"attachments": [],
"is_pro_editor_enabled": false,
"is_download_enabled": false,
"reviewer_social_urls": [],
"duplicated_from_id": null,
"review_labels": [],
"extra_details": {
"embed_video_url": null
}
}
}Social Reviews
Single Social Review
Get details of a specific social review by its ID. Social reviews are testimonials imported from social platforms (G2, Trustpilot, Product Hunt, etc.) and manual or web-link imports that are stored as social records.
GET
/
feeds
/
social
/
{id}
cURL
Get details of a specific social review by its numeric ID (the
id field from List All Reviews).Authorizations
HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).
Path Parameters
The review's numeric ID, as returned in the id field of GET /feeds. This is not the unique_feedback_id field — that value is not accepted here.
Example:
1201
Response
200 - application/json
Social review details fetched successfully.
Show child attributes
Show child attributes
⌘I